SDL_GetWindowFromEvent(3)

NAME
SDL_GetWindowFromEvent - Get window associated with an event.

SYNOPSIS
#include <SDL3/SDL_events.h>

SDL_Window * SDL_GetWindowFromEvent(const SDL_Event *event);

FUNCTION PARAMETERS

event
    an event containing a windowID.

RETURN VALUE
Returns the associated window on success or NULL if there is none.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_PollEvent(3), SDL_WaitEvent(3), SDL_WaitEventTimeout(3)